=== debian/changelog ===
ros-rolling-rmw-connext-shared-cpp (3.6.0-1focal) focal; urgency=high

  * Add RMW function to check QoS compatibility (#488 <https://github.com/ros2/rmw_connext/issues/488>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 01 Mar 2021 08:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.5.1-1focal) focal; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.5.0-1focal) focal; urgency=high

  * Revert "Use new time_utils function to limit rmw_time_t values to 32-bits (#477 <https://github.com/ros2/rmw_connext/issues/477>)" (#482 <https://github.com/ros2/rmw_connext/issues/482>)
  * Reduce the shutdown_cleanup_period. (#473 <https://github.com/ros2/rmw_connext/issues/473>)
  * Use new time_utils function to limit rmw_time_t values to 32-bits (#477 <https://github.com/ros2/rmw_connext/issues/477>)
  * Allow more flexible usage of XML QoS profiles (#460 <https://github.com/ros2/rmw_connext/issues/460>)
  * Update maintainers (#468 <https://github.com/ros2/rmw_connext/issues/468>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Ivan Santiago Paunovic, Michael Jeronimo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.4.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 29 Sep 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.4.1-1focal) focal; urgency=high

  * Updated publisher/subscription allocation and wait set API return codes. (#463 <https://github.com/ros2/rmw_connext/issues/463>)
  * Contributors: Alejandro Hernández Cordero

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 26 Sep 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.4.0-1focal) focal; urgency=high

  * Update graph API return codes. (#459 <https://github.com/ros2/rmw_connext/issues/459>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Sep 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.3.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Sep 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.2.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Aug 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.1.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Aug 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.0.0-1focal) focal; urgency=high

  * Ensure compliant publisher API. (#445 <https://github.com/ros2/rmw_connext/issues/445>)
  * Avoid leaking DDS::Topic objects. (#444 <https://github.com/ros2/rmw_connext/issues/444>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 03 Aug 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (2.2.0-1focal) focal; urgency=high

  * Set context actual domain id (#443 <https://github.com/ros2/rmw_connext/issues/443>)
  * Contributors: Ivan Santiago Paunovic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Jul 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (2.1.0-1focal) focal; urgency=high

  * Fix topic creation race condition (#442 <https://github.com/ros2/rmw_connext/issues/442>)
  * Ensure compliant node construction/destruction API (#439 <https://github.com/ros2/rmw_connext/issues/439>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 Jul 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (2.0.0-1focal) focal; urgency=high

  * Remove domain_id and localhost_only from node API (#438 <https://github.com/ros2/rmw_connext/issues/438>)
  * Contributors: Ivan Santiago Paunovic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jul 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (1.2.0-1focal) focal; urgency=high

  * Handle RMW_DEFAULT_DOMAIN_ID. (#427 <https://github.com/ros2/rmw_connext/issues/427>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 29 Jun 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (1.1.0-1focal) focal; urgency=high

  * Add support to RMW_EVENT_MESSAGE_LOST (#424 <https://github.com/ros2/rmw_connext/issues/424>)
  * Allow RMW events to map to more than one DDS event (#424 <https://github.com/ros2/rmw_connext/issues/424>)
  * Contributors: Ivan Santiago Paunovic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 18 Jun 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (1.0.0-1focal) focal; urgency=high

  * Remove MANUAL_BY_NODE liveliness API (#423 <https://github.com/ros2/rmw_connext/issues/423>)
  * Contributors: Ivan Santiago Paunovic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 May 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (0.9.1-1focal) focal; urgency=high

  * Initialize RMW qos profiles to rmw_qos_profile_unknown. (#422 <https://github.com/ros2/rmw_connext/issues/422>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (0.9.0-1focal) focal; urgency=high

  * Add basic support for security logging plugin (#404 <https://github.com/ros2/rmw_connext/issues/404>)
  * security-context -> enclave (#407 <https://github.com/ros2/rmw_connext/issues/407>)
  * Do not force 510 locators compatibility mode (#406 <https://github.com/ros2/rmw_connext/issues/406>)
  * API changes to sync with one Participant per Context change in rmw_fastrtps (#392 <https://github.com/ros2/rmw_connext/issues/392>)
  * Correct error message when using a non supported event (#400 <https://github.com/ros2/rmw_connext/issues/400>)
  * Support for ON_REQUESTED_INCOMPATIBLE_QOS and ON_OFFERED_INCOMPATIBLE_QOS events (#398 <https://github.com/ros2/rmw_connext/issues/398>)

