=== debian/control ===
Source: ros-rolling-rmw-connext-shared-cpp
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-connext-cmake-module, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-dds-common, ros-rolling-rosidl-cmake, rti-connext-dds-5.3.1, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmw-connext-shared-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-cmake, ros-rolling-connext-cmake-module, ros-rolling-rmw-dds-common, rti-connext-dds-5.3.1, ros-rolling-ros-workspace
Description: C++ types and functions shared by the ROS middleware interface to RTI Connext Static and RTI Connext Dynamic.
